RRDUpdater::__construct
SAM
RRDUpdater
PHP Manual

# RRDUpdater::update

(PECL rrd >= 0.9.0)

RRDUpdater::update — Update the RRD database file

### Descrição

public bool RRDUpdater::update ( array `$values` [, string `$time` = time() ] )

Updates the RRD file defined via RRDUpdater::__construct(). The file is updated with a specific values.

### Parâmetros

`values`

  Data for update. Key is data source name.

`time`

  Time value for updating the RRD with a particulat data. Default value is current time.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha.

### Erros

Throws a Exception on error.

### Exemplos

Exemplo #1 RRDUpdater::update() examples

`<?php
$updator = new RRDUpdater("speed.rrd");
//updates the data source "speed" with value "12411"
//for time defined by timestamp "920807700"
$updator->update(array("speed" => "12411"), "920807700");
?>`

RRDUpdater::__construct
SAM
RRDUpdater
PHP Manual